메인 콘텐츠로 건너뛰기
GET
/
endpoints
엔드포인트 목록 조회
curl --request GET \
  --url https://external.aieev.cloud:5007/external/api/v1/endpoints \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "cad59665-b77b-4cb6-9308-d276294bce79",
      "name": "my-llm-endpoint",
      "endpoint_type": "container",
      "is_active": true,
      "status": "RUNNING",
      "num_replicas": 2,
      "enable_autoscaling": false,
      "instance_type_name": "RTX 4070 Super",
      "serving_endpoint_url": "https://ap-1.aieev.cloud/ac/7/cad59665-b77b-4cb6-9308-d276294bce79",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 5,
  "page": 1,
  "size": 50,
  "pages": 1
}

인증

Authorization
string
header
필수

API Key를 Bearer 토큰으로 전달합니다. 프로젝트 개요의 API 키 메뉴에서 생성할 수 있습니다.

쿼리 매개변수

엔드포인트 이름으로 검색

예시:

"my-model"

is_active
boolean

활성 상태로 필터링. true면 실행 중인 엔드포인트만, false면 중지된 엔드포인트만 반환

예시:

true

page
integer
기본값:1

페이지 번호. 1부터 시작

필수 범위: x >= 1
size
integer
기본값:50

페이지당 항목 수. 최소 1, 최대 2000

필수 범위: 1 <= x <= 2000

응답

엔드포인트 목록

items
object[]

엔드포인트 객체 배열

total
integer

전체 엔드포인트 수

예시:

5

page
integer

현재 페이지 번호

예시:

1

size
integer

페이지당 항목 수

예시:

50

pages
integer

전체 페이지 수

예시:

1